Bug 804879 - python-httplib2 0.7.0 should switch to use system cacerts
python-httplib2 0.7.0 should switch to use system cacerts
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-httplib2 (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-20 00:04 EDT by James Ni
Modified: 2012-07-10 21:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-30 04:27:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Ni 2012-03-20 00:04:19 EDT
From version 0.7.0, python-httplib2 start to SSL Certificate checking by default. But it only check in its own cert store, in most case, which doesn't include the RedHat internal cert. Then, it cause certificate verify failed issue. So python-httplib2 should switch to using the system's cacarts.
Comment 1 Fedora Update System 2012-06-22 03:25:58 EDT
python-httplib2-0.7.4-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-httplib2-0.7.4-4.fc16
Comment 2 Fedora Update System 2012-06-22 03:26:15 EDT
python-httplib2-0.7.4-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-httplib2-0.7.4-4.fc17
Comment 3 Fedora Update System 2012-06-22 03:26:30 EDT
python-httplib2-0.7.4-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-httplib2-0.7.4-4.el6
Comment 4 Fedora Update System 2012-06-22 03:26:44 EDT
python-httplib2-0.7.4-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python-httplib2-0.7.4-4.el5
Comment 5 Fedora Update System 2012-06-22 12:00:35 EDT
Package python-httplib2-0.7.4-4.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-httplib2-0.7.4-4.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-6212/python-httplib2-0.7.4-4.el6
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-06-30 04:27:54 EDT
python-httplib2-0.7.4-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-06-30 04:28:29 EDT
python-httplib2-0.7.4-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-07-10 21:31:27 EDT
python-httplib2-0.7.4-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-07-10 21:33:03 EDT
python-httplib2-0.7.4-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.